package com.sagacloud.util.compute_engine.core;

import com.alibaba.fastjson.JSONObject;
import com.sagacloud.util.compute_engine.util.DoubleTimeObject;

import java.util.Date;
import java.util.List;

public interface IDao_data {
    void Initialize(String database_name);

    String GetName();

    List<DoubleTimeObject> GetDataListGteLte(JSONObject dao_key, String time_period, Date time_from, Date time_to, boolean GteLte) throws Exception;

    void DeleteDataListGteLte(JSONObject dao_key, String time_period, Date time_from, Date time_to) throws Exception;

    void InsertDataListGteLte(JSONObject dao_key, String time_period, List<DoubleTimeObject> outputDataList) throws Exception;
}
