package com.sagacloud.util.compute_engine.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.zillion.util.json.FastJsonUtil;

import javax.xml.bind.annotation.XmlRootElement;
@Slf4j
@XmlRootElement(name = "Entity_ci_instance")
public class Entity_ci_instance {
    String object_sign;
    String instance_name;
    Long flag_valid;
    Long compute_interval_seconds;
    Entity_ci_instanceinput[] inputs;
    Entity_ci_instanceoutput[] outputs;

    public Entity_ci_instance() {

    }

    public Entity_ci_instance(String str) {
        try {
            JSONObject json = (JSONObject) JSON.parse(str);
            FastJsonUtil.Set_JavaObject(json, this);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }

    public String getObject_sign() {
        return object_sign;
    }

    public void setObject_sign(String object_sign) {
        this.object_sign = object_sign;
    }

    public String getInstance_name() {
        return instance_name;
    }

    public void setInstance_name(String instance_name) {
        this.instance_name = instance_name;
    }

    public Long getFlag_valid() {
        return flag_valid;
    }

    public void setFlag_valid(Long flag_valid) {
        this.flag_valid = flag_valid;
    }

    public Long getCompute_interval_seconds() {
        return compute_interval_seconds;
    }

    public void setCompute_interval_seconds(Long compute_interval_seconds) {
        this.compute_interval_seconds = compute_interval_seconds;
    }

    public Entity_ci_instanceinput[] getInputs() {
        return inputs;
    }

    public void setInputs(Entity_ci_instanceinput[] inputs) {
        this.inputs = inputs;
    }

    public Entity_ci_instanceoutput[] getOutputs() {
        return outputs;
    }

    public void setOutputs(Entity_ci_instanceoutput[] outputs) {
        this.outputs = outputs;
    }
}
