package com.sagacloud.util.compute_engine.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.zillion.util.json.FastJsonUtil;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.HashMap;
import java.util.Map;
@Slf4j
@XmlRootElement(name = "Entity_tenant")
public class Entity_tenant {
    public Map<String, Entity_tenant_energy> energyMap = new HashMap<String, Entity_tenant_energy>();
    String building;
    String sign;
    Boolean soft_enable;
    Double soft_initial_yuer;
    String valid_time_from;
    String valid_time_to;

    public Entity_tenant() {

    }

    public Entity_tenant(String str) {
        try {
            JSONObject json = (JSONObject) JSON.parse(str);
            FastJsonUtil.Set_JavaObject(json, this);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public Boolean getSoft_enable() {
        return soft_enable;
    }

    public void setSoft_enable(Boolean soft_enable) {
        this.soft_enable = soft_enable;
    }

    public Double getSoft_initial_yuer() {
        return soft_initial_yuer;
    }

    public void setSoft_initial_yuer(Double soft_initial_yuer) {
        this.soft_initial_yuer = soft_initial_yuer;
    }

    public String getValid_time_from() {
        return valid_time_from;
    }

    public void setValid_time_from(String valid_time_from) {
        this.valid_time_from = valid_time_from;
    }

    public String getValid_time_to() {
        return valid_time_to;
    }

    public void setValid_time_to(String valid_time_to) {
        this.valid_time_to = valid_time_to;
    }
}
