// $ANTLR 3.1 ComputeEngine.g 2020-05-14 10:30:07

package com.sagacloud.parser.simulator;


import org.antlr.runtime.*;
import org.antlr.runtime.tree.*;

public class ComputeEngineParser extends Parser {
    public static final String[] tokenNames = new String[]{
            "<invalid>", "<EOR>", "<DOWN>", "<UP>", "IFWRAPPER", "NEWLINE", "NUMBER", "ID", "F0", "F1", "F2", "WS", "'+'", "'-'", "'*'", "'/'", "'('", "')'", "'if'", "'{'", "'}'", "'elseif'", "'else'", "'||'", "'&&'", "'!'", "'['", "'<'", "'<='", "'>'", "'>='", "'=='", "'!='", "']'", "','"
    };
    public static final int T__29 = 29;
    public static final int T__28 = 28;
    public static final int T__27 = 27;
    public static final int T__26 = 26;
    public static final int T__25 = 25;
    public static final int T__24 = 24;
    public static final int T__23 = 23;
    public static final int T__22 = 22;
    public static final int T__21 = 21;
    public static final int T__20 = 20;
    public static final int NUMBER = 6;
    public static final int ID = 7;
    public static final int EOF = -1;
    public static final int T__30 = 30;
    public static final int T__19 = 19;
    public static final int T__31 = 31;
    public static final int T__32 = 32;
    public static final int WS = 11;
    public static final int T__33 = 33;
    public static final int T__16 = 16;
    public static final int T__34 = 34;
    public static final int T__15 = 15;
    public static final int NEWLINE = 5;
    public static final int T__18 = 18;
    public static final int T__17 = 17;
    public static final int T__12 = 12;
    public static final int T__14 = 14;
    public static final int T__13 = 13;
    public static final int F1 = 9;
    public static final int F0 = 8;
    public static final int F2 = 10;
    public static final int IFWRAPPER = 4;

    // delegates
    // delegators
    public static final BitSet FOLLOW_expr_in_prog90 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_NEWLINE_in_prog92 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_fourexpr_in_expr104 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ifcondition_in_expr109 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_multexpr_in_fourexpr120 = new BitSet(new long[]{0x0000000000003002L});
    public static final BitSet FOLLOW_12_in_fourexpr124 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_13_in_fourexpr127 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_multexpr_in_fourexpr131 = new BitSet(new long[]{0x0000000000003002L});
    public static final BitSet FOLLOW_atom_in_multexpr145 = new BitSet(new long[]{0x000000000000C002L});
    public static final BitSet FOLLOW_14_in_multexpr149 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_15_in_multexpr152 = new BitSet(new long[]{0x00000000000107C0L});

    public static final BitSet FOLLOW_atom_in_multexpr156 = new BitSet(new long[]{0x000000000000C002L});
    // $ANTLR end "prog"
    public static final BitSet FOLLOW_NUMBER_in_atom170 = new BitSet(new long[]{0x0000000000000002L});

    public static final BitSet FOLLOW_ID_in_atom175 = new BitSet(new long[]{0x0000000000000002L});
    // $ANTLR end "expr"
    public static final BitSet FOLLOW_func_in_atom180 = new BitSet(new long[]{0x0000000000000002L});

    public static final BitSet FOLLOW_16_in_atom186 = new BitSet(new long[]{0x00000000000107C0L});
    // $ANTLR end "fourexpr"
    public static final BitSet FOLLOW_fourexpr_in_atom189 = new BitSet(new long[]{0x0000000000020000L});

    public static final BitSet FOLLOW_17_in_atom191 = new BitSet(new long[]{0x0000000000000002L});
    // $ANTLR end "multexpr"
    public static final BitSet FOLLOW_16_in_atom198 = new BitSet(new long[]{0x0000000000040000L});

    public static final BitSet FOLLOW_ifcondition_in_atom200 = new BitSet(new long[]{0x0000000000020000L});
    // $ANTLR end "atom"
    public static final BitSet FOLLOW_17_in_atom202 = new BitSet(new long[]{0x0000000000000002L});

    public static final BitSet FOLLOW_18_in_ifcondition221 = new BitSet(new long[]{0x0000000000010000L});
    // $ANTLR end "ifcondition"
    public static final BitSet FOLLOW_16_in_ifcondition224 = new BitSet(new long[]{0x0000000006010000L});

    public static final BitSet FOLLOW_condition_in_ifcondition227 = new BitSet(new long[]{0x0000000000020000L});
    // $ANTLR end "elseifcondition"
    public static final BitSet FOLLOW_17_in_ifcondition229 = new BitSet(new long[]{0x0000000000080000L});

    public static final BitSet FOLLOW_19_in_ifcondition232 = new BitSet(new long[]{0x00000000000507C0L});
    // $ANTLR end "elsecondition"
    public static final BitSet FOLLOW_expr_in_ifcondition235 = new BitSet(new long[]{0x0000000000100000L});

    public static final BitSet FOLLOW_20_in_ifcondition237 = new BitSet(new long[]{0x0000000000600000L});
    // $ANTLR end "condition"
    public static final BitSet FOLLOW_elseifcondition_in_ifcondition241 = new BitSet(new long[]{0x0000000000000002L});

    public static final BitSet FOLLOW_elsecondition_in_ifcondition243 = new BitSet(new long[]{0x0000000000000002L});
    // $ANTLR end "andcondition"
    public static final BitSet FOLLOW_21_in_elseifcondition255 = new BitSet(new long[]{0x0000000000010000L});

    public static final BitSet FOLLOW_16_in_elseifcondition258 = new BitSet(new long[]{0x0000000006010000L});
    // $ANTLR end "notcondition"
    public static final BitSet FOLLOW_condition_in_elseifcondition261 = new BitSet(new long[]{0x0000000000020000L});

    public static final BitSet FOLLOW_17_in_elseifcondition263 = new BitSet(new long[]{0x0000000000080000L});
    // $ANTLR end "itemcondition"
    public static final BitSet FOLLOW_19_in_elseifcondition266 = new BitSet(new long[]{0x00000000000507C0L});

    public static final BitSet FOLLOW_expr_in_elseifcondition269 = new BitSet(new long[]{0x0000000000100000L});
    // $ANTLR end "comparecondition"
    public static final BitSet FOLLOW_20_in_elseifcondition271 = new BitSet(new long[]{0x0000000000600000L});

    public static final BitSet FOLLOW_elseifcondition_in_elseifcondition275 = new BitSet(new long[]{0x0000000000000002L});
    // $ANTLR end "func"

    // Delegated rules
    public static final BitSet FOLLOW_elsecondition_in_elseifcondition277 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_22_in_elsecondition289 = new BitSet(new long[]{0x0000000000080000L});
    public static final BitSet FOLLOW_19_in_elsecondition292 = new BitSet(new long[]{0x00000000000507C0L});
    public static final BitSet FOLLOW_expr_in_elsecondition295 = new BitSet(new long[]{0x0000000000100000L});
    public static final BitSet FOLLOW_20_in_elsecondition297 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_andcondition_in_condition309 = new BitSet(new long[]{0x0000000000800002L});
    public static final BitSet FOLLOW_23_in_condition313 = new BitSet(new long[]{0x0000000006010000L});
    public static final BitSet FOLLOW_andcondition_in_condition317 = new BitSet(new long[]{0x0000000000800002L});
    public static final BitSet FOLLOW_notcondition_in_andcondition330 = new BitSet(new long[]{0x0000000001000002L});
    public static final BitSet FOLLOW_24_in_andcondition334 = new BitSet(new long[]{0x0000000006010000L});
    public static final BitSet FOLLOW_notcondition_in_andcondition338 = new BitSet(new long[]{0x0000000001000002L});
    public static final BitSet FOLLOW_25_in_notcondition352 = new BitSet(new long[]{0x0000000006010000L});
    public static final BitSet FOLLOW_itemcondition_in_notcondition356 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_itemcondition_in_notcondition361 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_16_in_itemcondition372 = new BitSet(new long[]{0x0000000006010000L});
    public static final BitSet FOLLOW_condition_in_itemcondition375 = new BitSet(new long[]{0x0000000000020000L});
    public static final BitSet FOLLOW_17_in_itemcondition377 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_comparecondition_in_itemcondition383 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_26_in_comparecondition394 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition397 = new BitSet(new long[]{0x00000001F8000000L});
    public static final BitSet FOLLOW_27_in_comparecondition400 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_28_in_comparecondition403 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_29_in_comparecondition406 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_30_in_comparecondition409 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_31_in_comparecondition412 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_32_in_comparecondition415 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition419 = new BitSet(new long[]{0x0000000200000000L});
    public static final BitSet FOLLOW_33_in_comparecondition421 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_F0_in_func433 = new BitSet(new long[]{0x0000000000010000L});
    public static final BitSet FOLLOW_16_in_func436 = new BitSet(new long[]{0x0000000000020000L});
    public static final BitSet FOLLOW_17_in_func439 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_F1_in_func445 = new BitSet(new long[]{0x0000000000010000L});
    public static final BitSet FOLLOW_16_in_func448 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_fourexpr_in_func451 = new BitSet(new long[]{0x0000000000020000L});
    public static final BitSet FOLLOW_17_in_func453 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_F2_in_func459 = new BitSet(new long[]{0x0000000000010000L});
    public static final BitSet FOLLOW_16_in_func462 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_fourexpr_in_func465 = new BitSet(new long[]{0x0000000400000000L});
    public static final BitSet FOLLOW_34_in_func467 = new BitSet(new long[]{0x00000000000107C0L});
    public static final BitSet FOLLOW_fourexpr_in_func470 = new BitSet(new long[]{0x0000000000020000L});
    public static final BitSet FOLLOW_17_in_func472 = new BitSet(new long[]{0x0000000000000002L});
    protected TreeAdaptor adaptor = new CommonTreeAdaptor();

    public ComputeEngineParser(TokenStream input) {
        this(input, new RecognizerSharedState());
    }

    public ComputeEngineParser(TokenStream input, RecognizerSharedState state) {
        super(input, state);

    }

    public TreeAdaptor getTreeAdaptor() {
        return adaptor;
    }

    public void setTreeAdaptor(TreeAdaptor adaptor) {
        this.adaptor = adaptor;
    }

    @Override
    public String[] getTokenNames() {
        return ComputeEngineParser.tokenNames;
    }

    @Override
    public String getGrammarFileName() {
        return "ComputeEngine.g";
    }

    @Override
    public Object recoverFromMismatchedToken(IntStream input, int ttype, BitSet follow) throws RecognitionException {
        throw new MismatchedTokenException(ttype, input);
    }

    @Override
    public Object recoverFromMismatchedSet(IntStream input, RecognitionException e, BitSet follow) throws RecognitionException {
        throw e;
    }

    @Override
    public void displayRecognitionError(String[] tokenNames, RecognitionException e) {
        String hdr = getErrorHeader(e);
        String msg = getErrorMessage(e, tokenNames);
        throw new RuntimeException(hdr + ":" + msg);
    }

    // $ANTLR start "prog"
    // ComputeEngine.g:69:1: prog : expr NEWLINE ;
    public final ComputeEngineParser.prog_return prog() throws RecognitionException {
        ComputeEngineParser.prog_return retval = new ComputeEngineParser.prog_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token NEWLINE2 = null;
        ComputeEngineParser.expr_return expr1 = null;


        CommonTree NEWLINE2_tree = null;

        try {
            // ComputeEngine.g:70:2: ( expr NEWLINE )
            // ComputeEngine.g:70:4: expr NEWLINE
            {
                root_0 = (CommonTree) adaptor.nil();

                pushFollow(FOLLOW_expr_in_prog90);
                expr1 = expr();

                state._fsp--;

                adaptor.addChild(root_0, expr1.getTree());
                NEWLINE2 = (Token) match(input, NEWLINE, FOLLOW_NEWLINE_in_prog92);

            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "expr"
    // ComputeEngine.g:73:1: expr : ( fourexpr | ifcondition );
    public final ComputeEngineParser.expr_return expr() throws RecognitionException {
        ComputeEngineParser.expr_return retval = new ComputeEngineParser.expr_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        ComputeEngineParser.fourexpr_return fourexpr3 = null;

        ComputeEngineParser.ifcondition_return ifcondition4 = null;


        try {
            // ComputeEngine.g:74:2: ( fourexpr | ifcondition )
            int alt1 = 2;
            int LA1_0 = input.LA(1);

            if (((LA1_0 >= NUMBER && LA1_0 <= F2) || LA1_0 == 16)) {
                alt1 = 1;
            } else if ((LA1_0 == 18)) {
                alt1 = 2;
            } else {
                NoViableAltException nvae =
                        new NoViableAltException("", 1, 0, input);

                throw nvae;
            }
            switch (alt1) {
                case 1:
                    // ComputeEngine.g:74:4: fourexpr
                {
                    root_0 = (CommonTree) adaptor.nil();

                    pushFollow(FOLLOW_fourexpr_in_expr104);
                    fourexpr3 = fourexpr();

                    state._fsp--;

                    adaptor.addChild(root_0, fourexpr3.getTree());

                }
                break;
                case 2:
                    // ComputeEngine.g:75:4: ifcondition
                {
                    root_0 = (CommonTree) adaptor.nil();

                    pushFollow(FOLLOW_ifcondition_in_expr109);
                    ifcondition4 = ifcondition();

                    state._fsp--;

                    adaptor.addChild(root_0, ifcondition4.getTree());

                }
                break;
                default:
            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "fourexpr"
    // ComputeEngine.g:78:1: fourexpr : multexpr ( ( '+' | '-' ) multexpr )* ;
    public final ComputeEngineParser.fourexpr_return fourexpr() throws RecognitionException {
        ComputeEngineParser.fourexpr_return retval = new ComputeEngineParser.fourexpr_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token char_literal6 = null;
        Token char_literal7 = null;
        ComputeEngineParser.multexpr_return multexpr5 = null;

        ComputeEngineParser.multexpr_return multexpr8 = null;


        CommonTree char_literal6_tree = null;
        CommonTree char_literal7_tree = null;

        try {
            // ComputeEngine.g:79:2: ( multexpr ( ( '+' | '-' ) multexpr )* )
            // ComputeEngine.g:79:4: multexpr ( ( '+' | '-' ) multexpr )*
            {
                root_0 = (CommonTree) adaptor.nil();

                pushFollow(FOLLOW_multexpr_in_fourexpr120);
                multexpr5 = multexpr();

                state._fsp--;

                adaptor.addChild(root_0, multexpr5.getTree());
                // ComputeEngine.g:79:13: ( ( '+' | '-' ) multexpr )*
                loop3:
                do {
                    int alt3 = 2;
                    int LA3_0 = input.LA(1);

                    if (((LA3_0 >= 12 && LA3_0 <= 13))) {
                        alt3 = 1;
                    }


                    switch (alt3) {
                        case 1:
                            // ComputeEngine.g:79:14: ( '+' | '-' ) multexpr
                        {
                            // ComputeEngine.g:79:14: ( '+' | '-' )
                            int alt2 = 2;
                            int LA2_0 = input.LA(1);

                            if ((LA2_0 == 12)) {
                                alt2 = 1;
                            } else if ((LA2_0 == 13)) {
                                alt2 = 2;
                            } else {
                                NoViableAltException nvae =
                                        new NoViableAltException("", 2, 0, input);

                                throw nvae;
                            }
                            switch (alt2) {
                                case 1:
                                    // ComputeEngine.g:79:15: '+'
                                {
                                    char_literal6 = (Token) match(input, 12, FOLLOW_12_in_fourexpr124);
                                    char_literal6_tree = (CommonTree) adaptor.create(char_literal6);
                                    root_0 = (CommonTree) adaptor.becomeRoot(char_literal6_tree, root_0);


                                }
                                break;
                                case 2:
                                    // ComputeEngine.g:79:20: '-'
                                {
                                    char_literal7 = (Token) match(input, 13, FOLLOW_13_in_fourexpr127);
                                    char_literal7_tree = (CommonTree) adaptor.create(char_literal7);
                                    root_0 = (CommonTree) adaptor.becomeRoot(char_literal7_tree, root_0);


                                }
                                break;
                                default:
                            }

                            pushFollow(FOLLOW_multexpr_in_fourexpr131);
                            multexpr8 = multexpr();

                            state._fsp--;

                            adaptor.addChild(root_0, multexpr8.getTree());

                        }
                        break;

                        default:
                            break loop3;
                    }
                } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "multexpr"
    // ComputeEngine.g:82:1: multexpr : atom ( ( '*' | '/' ) atom )* ;
    public final ComputeEngineParser.multexpr_return multexpr() throws RecognitionException {
        ComputeEngineParser.multexpr_return retval = new ComputeEngineParser.multexpr_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token char_literal10 = null;
        Token char_literal11 = null;
        ComputeEngineParser.atom_return atom9 = null;

        ComputeEngineParser.atom_return atom12 = null;


        CommonTree char_literal10_tree = null;
        CommonTree char_literal11_tree = null;

        try {
            // ComputeEngine.g:83:2: ( atom ( ( '*' | '/' ) atom )* )
            // ComputeEngine.g:83:4: atom ( ( '*' | '/' ) atom )*
            {
                root_0 = (CommonTree) adaptor.nil();

                pushFollow(FOLLOW_atom_in_multexpr145);
                atom9 = atom();

                state._fsp--;

                adaptor.addChild(root_0, atom9.getTree());
                // ComputeEngine.g:83:9: ( ( '*' | '/' ) atom )*
                loop5:
                do {
                    int alt5 = 2;
                    int LA5_0 = input.LA(1);

                    if (((LA5_0 >= 14 && LA5_0 <= 15))) {
                        alt5 = 1;
                    }


                    switch (alt5) {
                        case 1:
                            // ComputeEngine.g:83:10: ( '*' | '/' ) atom
                        {
                            // ComputeEngine.g:83:10: ( '*' | '/' )
                            int alt4 = 2;
                            int LA4_0 = input.LA(1);

                            if ((LA4_0 == 14)) {
                                alt4 = 1;
                            } else if ((LA4_0 == 15)) {
                                alt4 = 2;
                            } else {
                                NoViableAltException nvae =
                                        new NoViableAltException("", 4, 0, input);

                                throw nvae;
                            }
                            switch (alt4) {
                                case 1:
                                    // ComputeEngine.g:83:11: '*'
                                {
                                    char_literal10 = (Token) match(input, 14, FOLLOW_14_in_multexpr149);
                                    char_literal10_tree = (CommonTree) adaptor.create(char_literal10);
                                    root_0 = (CommonTree) adaptor.becomeRoot(char_literal10_tree, root_0);


                                }
                                break;
                                case 2:
                                    // ComputeEngine.g:83:16: '/'
                                {
                                    char_literal11 = (Token) match(input, 15, FOLLOW_15_in_multexpr152);
                                    char_literal11_tree = (CommonTree) adaptor.create(char_literal11);
                                    root_0 = (CommonTree) adaptor.becomeRoot(char_literal11_tree, root_0);


                                }
                                break;
                                default:
                            }

                            pushFollow(FOLLOW_atom_in_multexpr156);
                            atom12 = atom();

                            state._fsp--;

                            adaptor.addChild(root_0, atom12.getTree());

                        }
                        break;

                        default:
                            break loop5;
                    }
                } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "atom"
    // ComputeEngine.g:86:1: atom : ( NUMBER | ID | func | '(' fourexpr ')' | '(' ifcondition ')' -> ^( IFWRAPPER ifcondition ) );
    public final ComputeEngineParser.atom_return atom() throws RecognitionException {
        ComputeEngineParser.atom_return retval = new ComputeEngineParser.atom_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token NUMBER13 = null;
        Token ID14 = null;
        Token char_literal16 = null;
        Token char_literal18 = null;
        Token char_literal19 = null;
        Token char_literal21 = null;
        ComputeEngineParser.func_return func15 = null;

        ComputeEngineParser.fourexpr_return fourexpr17 = null;

        ComputeEngineParser.ifcondition_return ifcondition20 = null;


        CommonTree NUMBER13_tree = null;
        CommonTree ID14_tree = null;
        CommonTree char_literal16_tree = null;
        CommonTree char_literal18_tree = null;
        CommonTree char_literal19_tree = null;
        CommonTree char_literal21_tree = null;
        RewriteRuleTokenStream stream_17 = new RewriteRuleTokenStream(adaptor, "token 17");
        RewriteRuleTokenStream stream_16 = new RewriteRuleTokenStream(adaptor, "token 16");
        RewriteRuleSubtreeStream stream_ifcondition = new RewriteRuleSubtreeStream(adaptor, "rule ifcondition");
        try {
            // ComputeEngine.g:87:2: ( NUMBER | ID | func | '(' fourexpr ')' | '(' ifcondition ')' -> ^( IFWRAPPER ifcondition ) )
            int alt6 = 5;
            switch (input.LA(1)) {
                case NUMBER: {
                    alt6 = 1;
                }
                break;
                case ID: {
                    alt6 = 2;
                }
                break;
                case F0:
                case F1:
                case F2: {
                    alt6 = 3;
                }
                break;
                case 16: {
                    int LA6_4 = input.LA(2);

                    if (((LA6_4 >= NUMBER && LA6_4 <= F2) || LA6_4 == 16)) {
                        alt6 = 4;
                    } else if ((LA6_4 == 18)) {
                        alt6 = 5;
                    } else {
                        NoViableAltException nvae =
                                new NoViableAltException("", 6, 4, input);

                        throw nvae;
                    }
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 6, 0, input);

                    throw nvae;
            }

            switch (alt6) {
                case 1:
                    // ComputeEngine.g:87:4: NUMBER
                {
                    root_0 = (CommonTree) adaptor.nil();

                    NUMBER13 = (Token) match(input, NUMBER, FOLLOW_NUMBER_in_atom170);
                    NUMBER13_tree = (CommonTree) adaptor.create(NUMBER13);
                    adaptor.addChild(root_0, NUMBER13_tree);


                }
                break;
                case 2:
                    // ComputeEngine.g:88:4: ID
                {
                    root_0 = (CommonTree) adaptor.nil();

                    ID14 = (Token) match(input, ID, FOLLOW_ID_in_atom175);
                    ID14_tree = (CommonTree) adaptor.create(ID14);
                    adaptor.addChild(root_0, ID14_tree);


                }
                break;
                case 3:
                    // ComputeEngine.g:89:4: func
                {
                    root_0 = (CommonTree) adaptor.nil();

                    pushFollow(FOLLOW_func_in_atom180);
                    func15 = func();

                    state._fsp--;

                    adaptor.addChild(root_0, func15.getTree());

                }
                break;
                case 4:
                    // ComputeEngine.g:90:5: '(' fourexpr ')'
                {
                    root_0 = (CommonTree) adaptor.nil();

                    char_literal16 = (Token) match(input, 16, FOLLOW_16_in_atom186);
                    pushFollow(FOLLOW_fourexpr_in_atom189);
                    fourexpr17 = fourexpr();

                    state._fsp--;

                    adaptor.addChild(root_0, fourexpr17.getTree());
                    char_literal18 = (Token) match(input, 17, FOLLOW_17_in_atom191);

                }
                break;
                case 5:
                    // ComputeEngine.g:91:5: '(' ifcondition ')'
                {
                    char_literal19 = (Token) match(input, 16, FOLLOW_16_in_atom198);
                    stream_16.add(char_literal19);

                    pushFollow(FOLLOW_ifcondition_in_atom200);
                    ifcondition20 = ifcondition();

                    state._fsp--;

                    stream_ifcondition.add(ifcondition20.getTree());
                    char_literal21 = (Token) match(input, 17, FOLLOW_17_in_atom202);
                    stream_17.add(char_literal21);


                    // AST REWRITE
                    // elements: ifcondition
                    // token labels:
                    // rule labels: retval
                    // token list labels:
                    // rule list labels:
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval = new RewriteRuleSubtreeStream(adaptor, "token retval", retval != null ? retval.tree : null);

                    root_0 = (CommonTree) adaptor.nil();
                    // 91:25: -> ^( IFWRAPPER ifcondition )
                    {
                        // ComputeEngine.g:91:28: ^( IFWRAPPER ifcondition )
                        {
                            CommonTree root_1 = (CommonTree) adaptor.nil();
                            root_1 = (CommonTree) adaptor.becomeRoot(adaptor.create(IFWRAPPER, "IFWRAPPER"), root_1);

                            adaptor.addChild(root_1, stream_ifcondition.nextTree());

                            adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;
                }
                break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "ifcondition"
    // ComputeEngine.g:94:1: ifcondition : 'if' '(' condition ')' '{' expr '}' ( elseifcondition | elsecondition ) ;
    public final ComputeEngineParser.ifcondition_return ifcondition() throws RecognitionException {
        ComputeEngineParser.ifcondition_return retval = new ComputeEngineParser.ifcondition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token string_literal22 = null;
        Token char_literal23 = null;
        Token char_literal25 = null;
        Token char_literal26 = null;
        Token char_literal28 = null;
        ComputeEngineParser.condition_return condition24 = null;

        ComputeEngineParser.expr_return expr27 = null;

        ComputeEngineParser.elseifcondition_return elseifcondition29 = null;

        ComputeEngineParser.elsecondition_return elsecondition30 = null;


        CommonTree string_literal22_tree = null;
        CommonTree char_literal23_tree = null;
        CommonTree char_literal25_tree = null;
        CommonTree char_literal26_tree = null;
        CommonTree char_literal28_tree = null;

        try {
            // ComputeEngine.g:95:2: ( 'if' '(' condition ')' '{' expr '}' ( elseifcondition | elsecondition ) )
            // ComputeEngine.g:95:4: 'if' '(' condition ')' '{' expr '}' ( elseifcondition | elsecondition )
            {
                root_0 = (CommonTree) adaptor.nil();

                string_literal22 = (Token) match(input, 18, FOLLOW_18_in_ifcondition221);
                string_literal22_tree = (CommonTree) adaptor.create(string_literal22);
                root_0 = (CommonTree) adaptor.becomeRoot(string_literal22_tree, root_0);

                char_literal23 = (Token) match(input, 16, FOLLOW_16_in_ifcondition224);
                pushFollow(FOLLOW_condition_in_ifcondition227);
                condition24 = condition();

                state._fsp--;

                adaptor.addChild(root_0, condition24.getTree());
                char_literal25 = (Token) match(input, 17, FOLLOW_17_in_ifcondition229);
                char_literal26 = (Token) match(input, 19, FOLLOW_19_in_ifcondition232);
                pushFollow(FOLLOW_expr_in_ifcondition235);
                expr27 = expr();

                state._fsp--;

                adaptor.addChild(root_0, expr27.getTree());
                char_literal28 = (Token) match(input, 20, FOLLOW_20_in_ifcondition237);
                // ComputeEngine.g:95:45: ( elseifcondition | elsecondition )
                int alt7 = 2;
                int LA7_0 = input.LA(1);

                if ((LA7_0 == 21)) {
                    alt7 = 1;
                } else if ((LA7_0 == 22)) {
                    alt7 = 2;
                } else {
                    NoViableAltException nvae =
                            new NoViableAltException("", 7, 0, input);

                    throw nvae;
                }
                switch (alt7) {
                    case 1:
                        // ComputeEngine.g:95:46: elseifcondition
                    {
                        pushFollow(FOLLOW_elseifcondition_in_ifcondition241);
                        elseifcondition29 = elseifcondition();

                        state._fsp--;

                        adaptor.addChild(root_0, elseifcondition29.getTree());

                    }
                    break;
                    case 2:
                        // ComputeEngine.g:95:62: elsecondition
                    {
                        pushFollow(FOLLOW_elsecondition_in_ifcondition243);
                        elsecondition30 = elsecondition();

                        state._fsp--;

                        adaptor.addChild(root_0, elsecondition30.getTree());

                    }
                    break;

                }


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "elseifcondition"
    // ComputeEngine.g:98:1: elseifcondition : 'elseif' '(' condition ')' '{' expr '}' ( elseifcondition | elsecondition ) ;
    public final ComputeEngineParser.elseifcondition_return elseifcondition() throws RecognitionException {
        ComputeEngineParser.elseifcondition_return retval = new ComputeEngineParser.elseifcondition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token string_literal31 = null;
        Token char_literal32 = null;
        Token char_literal34 = null;
        Token char_literal35 = null;
        Token char_literal37 = null;
        ComputeEngineParser.condition_return condition33 = null;

        ComputeEngineParser.expr_return expr36 = null;

        ComputeEngineParser.elseifcondition_return elseifcondition38 = null;

        ComputeEngineParser.elsecondition_return elsecondition39 = null;


        CommonTree string_literal31_tree = null;
        CommonTree char_literal32_tree = null;
        CommonTree char_literal34_tree = null;
        CommonTree char_literal35_tree = null;
        CommonTree char_literal37_tree = null;

        try {
            // ComputeEngine.g:99:2: ( 'elseif' '(' condition ')' '{' expr '}' ( elseifcondition | elsecondition ) )
            // ComputeEngine.g:99:4: 'elseif' '(' condition ')' '{' expr '}' ( elseifcondition | elsecondition )
            {
                root_0 = (CommonTree) adaptor.nil();

                string_literal31 = (Token) match(input, 21, FOLLOW_21_in_elseifcondition255);
                string_literal31_tree = (CommonTree) adaptor.create(string_literal31);
                root_0 = (CommonTree) adaptor.becomeRoot(string_literal31_tree, root_0);

                char_literal32 = (Token) match(input, 16, FOLLOW_16_in_elseifcondition258);
                pushFollow(FOLLOW_condition_in_elseifcondition261);
                condition33 = condition();

                state._fsp--;

                adaptor.addChild(root_0, condition33.getTree());
                char_literal34 = (Token) match(input, 17, FOLLOW_17_in_elseifcondition263);
                char_literal35 = (Token) match(input, 19, FOLLOW_19_in_elseifcondition266);
                pushFollow(FOLLOW_expr_in_elseifcondition269);
                expr36 = expr();

                state._fsp--;

                adaptor.addChild(root_0, expr36.getTree());
                char_literal37 = (Token) match(input, 20, FOLLOW_20_in_elseifcondition271);
                // ComputeEngine.g:99:49: ( elseifcondition | elsecondition )
                int alt8 = 2;
                int LA8_0 = input.LA(1);

                if ((LA8_0 == 21)) {
                    alt8 = 1;
                } else if ((LA8_0 == 22)) {
                    alt8 = 2;
                } else {
                    NoViableAltException nvae =
                            new NoViableAltException("", 8, 0, input);

                    throw nvae;
                }
                switch (alt8) {
                    case 1:
                        // ComputeEngine.g:99:50: elseifcondition
                    {
                        pushFollow(FOLLOW_elseifcondition_in_elseifcondition275);
                        elseifcondition38 = elseifcondition();

                        state._fsp--;

                        adaptor.addChild(root_0, elseifcondition38.getTree());

                    }
                    break;
                    case 2:
                        // ComputeEngine.g:99:66: elsecondition
                    {
                        pushFollow(FOLLOW_elsecondition_in_elseifcondition277);
                        elsecondition39 = elsecondition();

                        state._fsp--;

                        adaptor.addChild(root_0, elsecondition39.getTree());

                    }
                    break;

                }


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "elsecondition"
    // ComputeEngine.g:102:1: elsecondition : 'else' '{' expr '}' ;
    public final ComputeEngineParser.elsecondition_return elsecondition() throws RecognitionException {
        ComputeEngineParser.elsecondition_return retval = new ComputeEngineParser.elsecondition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token string_literal40 = null;
        Token char_literal41 = null;
        Token char_literal43 = null;
        ComputeEngineParser.expr_return expr42 = null;


        CommonTree string_literal40_tree = null;
        CommonTree char_literal41_tree = null;
        CommonTree char_literal43_tree = null;

        try {
            // ComputeEngine.g:103:2: ( 'else' '{' expr '}' )
            // ComputeEngine.g:103:4: 'else' '{' expr '}'
            {
                root_0 = (CommonTree) adaptor.nil();

                string_literal40 = (Token) match(input, 22, FOLLOW_22_in_elsecondition289);
                string_literal40_tree = (CommonTree) adaptor.create(string_literal40);
                root_0 = (CommonTree) adaptor.becomeRoot(string_literal40_tree, root_0);

                char_literal41 = (Token) match(input, 19, FOLLOW_19_in_elsecondition292);
                pushFollow(FOLLOW_expr_in_elsecondition295);
                expr42 = expr();

                state._fsp--;

                adaptor.addChild(root_0, expr42.getTree());
                char_literal43 = (Token) match(input, 20, FOLLOW_20_in_elsecondition297);

            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "condition"
    // ComputeEngine.g:106:1: condition : andcondition ( ( '||' ) andcondition )* ;
    public final ComputeEngineParser.condition_return condition() throws RecognitionException {
        ComputeEngineParser.condition_return retval = new ComputeEngineParser.condition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token string_literal45 = null;
        ComputeEngineParser.andcondition_return andcondition44 = null;

        ComputeEngineParser.andcondition_return andcondition46 = null;


        CommonTree string_literal45_tree = null;

        try {
            // ComputeEngine.g:107:2: ( andcondition ( ( '||' ) andcondition )* )
            // ComputeEngine.g:107:4: andcondition ( ( '||' ) andcondition )*
            {
                root_0 = (CommonTree) adaptor.nil();

                pushFollow(FOLLOW_andcondition_in_condition309);
                andcondition44 = andcondition();

                state._fsp--;

                adaptor.addChild(root_0, andcondition44.getTree());
                // ComputeEngine.g:107:17: ( ( '||' ) andcondition )*
                loop9:
                do {
                    int alt9 = 2;
                    int LA9_0 = input.LA(1);

                    if ((LA9_0 == 23)) {
                        alt9 = 1;
                    }


                    switch (alt9) {
                        case 1:
                            // ComputeEngine.g:107:18: ( '||' ) andcondition
                        {
                            // ComputeEngine.g:107:18: ( '||' )
                            // ComputeEngine.g:107:19: '||'
                            {
                                string_literal45 = (Token) match(input, 23, FOLLOW_23_in_condition313);
                                string_literal45_tree = (CommonTree) adaptor.create(string_literal45);
                                root_0 = (CommonTree) adaptor.becomeRoot(string_literal45_tree, root_0);


                            }

                            pushFollow(FOLLOW_andcondition_in_condition317);
                            andcondition46 = andcondition();

                            state._fsp--;

                            adaptor.addChild(root_0, andcondition46.getTree());

                        }
                        break;

                        default:
                            break loop9;
                    }
                } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "andcondition"
    // ComputeEngine.g:110:1: andcondition : notcondition ( ( '&&' ) notcondition )* ;
    public final ComputeEngineParser.andcondition_return andcondition() throws RecognitionException {
        ComputeEngineParser.andcondition_return retval = new ComputeEngineParser.andcondition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token string_literal48 = null;
        ComputeEngineParser.notcondition_return notcondition47 = null;

        ComputeEngineParser.notcondition_return notcondition49 = null;


        CommonTree string_literal48_tree = null;

        try {
            // ComputeEngine.g:111:2: ( notcondition ( ( '&&' ) notcondition )* )
            // ComputeEngine.g:111:4: notcondition ( ( '&&' ) notcondition )*
            {
                root_0 = (CommonTree) adaptor.nil();

                pushFollow(FOLLOW_notcondition_in_andcondition330);
                notcondition47 = notcondition();

                state._fsp--;

                adaptor.addChild(root_0, notcondition47.getTree());
                // ComputeEngine.g:111:17: ( ( '&&' ) notcondition )*
                loop10:
                do {
                    int alt10 = 2;
                    int LA10_0 = input.LA(1);

                    if ((LA10_0 == 24)) {
                        alt10 = 1;
                    }


                    switch (alt10) {
                        case 1:
                            // ComputeEngine.g:111:18: ( '&&' ) notcondition
                        {
                            // ComputeEngine.g:111:18: ( '&&' )
                            // ComputeEngine.g:111:19: '&&'
                            {
                                string_literal48 = (Token) match(input, 24, FOLLOW_24_in_andcondition334);
                                string_literal48_tree = (CommonTree) adaptor.create(string_literal48);
                                root_0 = (CommonTree) adaptor.becomeRoot(string_literal48_tree, root_0);


                            }

                            pushFollow(FOLLOW_notcondition_in_andcondition338);
                            notcondition49 = notcondition();

                            state._fsp--;

                            adaptor.addChild(root_0, notcondition49.getTree());

                        }
                        break;

                        default:
                            break loop10;
                    }
                } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "notcondition"
    // ComputeEngine.g:114:1: notcondition : ( ( '!' ) itemcondition | itemcondition );
    public final ComputeEngineParser.notcondition_return notcondition() throws RecognitionException {
        ComputeEngineParser.notcondition_return retval = new ComputeEngineParser.notcondition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token char_literal50 = null;
        ComputeEngineParser.itemcondition_return itemcondition51 = null;

        ComputeEngineParser.itemcondition_return itemcondition52 = null;


        CommonTree char_literal50_tree = null;

        try {
            // ComputeEngine.g:115:2: ( ( '!' ) itemcondition | itemcondition )
            int alt11 = 2;
            int LA11_0 = input.LA(1);

            if ((LA11_0 == 25)) {
                alt11 = 1;
            } else if ((LA11_0 == 16 || LA11_0 == 26)) {
                alt11 = 2;
            } else {
                NoViableAltException nvae =
                        new NoViableAltException("", 11, 0, input);

                throw nvae;
            }
            switch (alt11) {
                case 1:
                    // ComputeEngine.g:115:4: ( '!' ) itemcondition
                {
                    root_0 = (CommonTree) adaptor.nil();

                    // ComputeEngine.g:115:4: ( '!' )
                    // ComputeEngine.g:115:5: '!'
                    {
                        char_literal50 = (Token) match(input, 25, FOLLOW_25_in_notcondition352);
                        char_literal50_tree = (CommonTree) adaptor.create(char_literal50);
                        root_0 = (CommonTree) adaptor.becomeRoot(char_literal50_tree, root_0);


                    }

                    pushFollow(FOLLOW_itemcondition_in_notcondition356);
                    itemcondition51 = itemcondition();

                    state._fsp--;

                    adaptor.addChild(root_0, itemcondition51.getTree());

                }
                break;
                case 2:
                    // ComputeEngine.g:116:4: itemcondition
                {
                    root_0 = (CommonTree) adaptor.nil();

                    pushFollow(FOLLOW_itemcondition_in_notcondition361);
                    itemcondition52 = itemcondition();

                    state._fsp--;

                    adaptor.addChild(root_0, itemcondition52.getTree());

                }
                break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "itemcondition"
    // ComputeEngine.g:119:1: itemcondition : ( '(' condition ')' | comparecondition );
    public final ComputeEngineParser.itemcondition_return itemcondition() throws RecognitionException {
        ComputeEngineParser.itemcondition_return retval = new ComputeEngineParser.itemcondition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token char_literal53 = null;
        Token char_literal55 = null;
        ComputeEngineParser.condition_return condition54 = null;

        ComputeEngineParser.comparecondition_return comparecondition56 = null;


        CommonTree char_literal53_tree = null;
        CommonTree char_literal55_tree = null;

        try {
            // ComputeEngine.g:120:2: ( '(' condition ')' | comparecondition )
            int alt12 = 2;
            int LA12_0 = input.LA(1);

            if ((LA12_0 == 16)) {
                alt12 = 1;
            } else if ((LA12_0 == 26)) {
                alt12 = 2;
            } else {
                NoViableAltException nvae =
                        new NoViableAltException("", 12, 0, input);

                throw nvae;
            }
            switch (alt12) {
                case 1:
                    // ComputeEngine.g:120:4: '(' condition ')'
                {
                    root_0 = (CommonTree) adaptor.nil();

                    char_literal53 = (Token) match(input, 16, FOLLOW_16_in_itemcondition372);
                    pushFollow(FOLLOW_condition_in_itemcondition375);
                    condition54 = condition();

                    state._fsp--;

                    adaptor.addChild(root_0, condition54.getTree());
                    char_literal55 = (Token) match(input, 17, FOLLOW_17_in_itemcondition377);

                }
                break;
                case 2:
                    // ComputeEngine.g:121:4: comparecondition
                {
                    root_0 = (CommonTree) adaptor.nil();

                    pushFollow(FOLLOW_comparecondition_in_itemcondition383);
                    comparecondition56 = comparecondition();

                    state._fsp--;

                    adaptor.addChild(root_0, comparecondition56.getTree());

                }
                break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "comparecondition"
    // ComputeEngine.g:124:1: comparecondition : '[' fourexpr ( '<' | '<=' | '>' | '>=' | '==' | '!=' ) fourexpr ']' ;
    public final ComputeEngineParser.comparecondition_return comparecondition() throws RecognitionException {
        ComputeEngineParser.comparecondition_return retval = new ComputeEngineParser.comparecondition_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token char_literal57 = null;
        Token char_literal59 = null;
        Token string_literal60 = null;
        Token char_literal61 = null;
        Token string_literal62 = null;
        Token string_literal63 = null;
        Token string_literal64 = null;
        Token char_literal66 = null;
        ComputeEngineParser.fourexpr_return fourexpr58 = null;

        ComputeEngineParser.fourexpr_return fourexpr65 = null;


        CommonTree char_literal57_tree = null;
        CommonTree char_literal59_tree = null;
        CommonTree string_literal60_tree = null;
        CommonTree char_literal61_tree = null;
        CommonTree string_literal62_tree = null;
        CommonTree string_literal63_tree = null;
        CommonTree string_literal64_tree = null;
        CommonTree char_literal66_tree = null;

        try {
            // ComputeEngine.g:125:2: ( '[' fourexpr ( '<' | '<=' | '>' | '>=' | '==' | '!=' ) fourexpr ']' )
            // ComputeEngine.g:125:4: '[' fourexpr ( '<' | '<=' | '>' | '>=' | '==' | '!=' ) fourexpr ']'
            {
                root_0 = (CommonTree) adaptor.nil();

                char_literal57 = (Token) match(input, 26, FOLLOW_26_in_comparecondition394);
                pushFollow(FOLLOW_fourexpr_in_comparecondition397);
                fourexpr58 = fourexpr();

                state._fsp--;

                adaptor.addChild(root_0, fourexpr58.getTree());
                // ComputeEngine.g:125:18: ( '<' | '<=' | '>' | '>=' | '==' | '!=' )
                int alt13 = 6;
                switch (input.LA(1)) {
                    case 27: {
                        alt13 = 1;
                    }
                    break;
                    case 28: {
                        alt13 = 2;
                    }
                    break;
                    case 29: {
                        alt13 = 3;
                    }
                    break;
                    case 30: {
                        alt13 = 4;
                    }
                    break;
                    case 31: {
                        alt13 = 5;
                    }
                    break;
                    case 32: {
                        alt13 = 6;
                    }
                    break;
                    default:
                        NoViableAltException nvae =
                                new NoViableAltException("", 13, 0, input);

                        throw nvae;
                }

                switch (alt13) {
                    case 1:
                        // ComputeEngine.g:125:19: '<'
                    {
                        char_literal59 = (Token) match(input, 27, FOLLOW_27_in_comparecondition400);
                        char_literal59_tree = (CommonTree) adaptor.create(char_literal59);
                        root_0 = (CommonTree) adaptor.becomeRoot(char_literal59_tree, root_0);


                    }
                    break;
                    case 2:
                        // ComputeEngine.g:125:24: '<='
                    {
                        string_literal60 = (Token) match(input, 28, FOLLOW_28_in_comparecondition403);
                        string_literal60_tree = (CommonTree) adaptor.create(string_literal60);
                        root_0 = (CommonTree) adaptor.becomeRoot(string_literal60_tree, root_0);


                    }
                    break;
                    case 3:
                        // ComputeEngine.g:125:30: '>'
                    {
                        char_literal61 = (Token) match(input, 29, FOLLOW_29_in_comparecondition406);
                        char_literal61_tree = (CommonTree) adaptor.create(char_literal61);
                        root_0 = (CommonTree) adaptor.becomeRoot(char_literal61_tree, root_0);


                    }
                    break;
                    case 4:
                        // ComputeEngine.g:125:35: '>='
                    {
                        string_literal62 = (Token) match(input, 30, FOLLOW_30_in_comparecondition409);
                        string_literal62_tree = (CommonTree) adaptor.create(string_literal62);
                        root_0 = (CommonTree) adaptor.becomeRoot(string_literal62_tree, root_0);


                    }
                    break;
                    case 5:
                        // ComputeEngine.g:125:41: '=='
                    {
                        string_literal63 = (Token) match(input, 31, FOLLOW_31_in_comparecondition412);
                        string_literal63_tree = (CommonTree) adaptor.create(string_literal63);
                        root_0 = (CommonTree) adaptor.becomeRoot(string_literal63_tree, root_0);


                    }
                    break;
                    case 6:
                        // ComputeEngine.g:125:47: '!='
                    {
                        string_literal64 = (Token) match(input, 32, FOLLOW_32_in_comparecondition415);
                        string_literal64_tree = (CommonTree) adaptor.create(string_literal64);
                        root_0 = (CommonTree) adaptor.becomeRoot(string_literal64_tree, root_0);


                    }
                    break;

                }

                pushFollow(FOLLOW_fourexpr_in_comparecondition419);
                fourexpr65 = fourexpr();

                state._fsp--;

                adaptor.addChild(root_0, fourexpr65.getTree());
                char_literal66 = (Token) match(input, 33, FOLLOW_33_in_comparecondition421);

            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    // $ANTLR start "func"
    // ComputeEngine.g:128:1: func : ( F0 '(' ')' | F1 '(' fourexpr ')' | F2 '(' fourexpr ',' fourexpr ')' );
    public final ComputeEngineParser.func_return func() throws RecognitionException {
        ComputeEngineParser.func_return retval = new ComputeEngineParser.func_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token F067 = null;
        Token char_literal68 = null;
        Token char_literal69 = null;
        Token F170 = null;
        Token char_literal71 = null;
        Token char_literal73 = null;
        Token F274 = null;
        Token char_literal75 = null;
        Token char_literal77 = null;
        Token char_literal79 = null;
        ComputeEngineParser.fourexpr_return fourexpr72 = null;

        ComputeEngineParser.fourexpr_return fourexpr76 = null;

        ComputeEngineParser.fourexpr_return fourexpr78 = null;


        CommonTree F067_tree = null;
        CommonTree char_literal68_tree = null;
        CommonTree char_literal69_tree = null;
        CommonTree F170_tree = null;
        CommonTree char_literal71_tree = null;
        CommonTree char_literal73_tree = null;
        CommonTree F274_tree = null;
        CommonTree char_literal75_tree = null;
        CommonTree char_literal77_tree = null;
        CommonTree char_literal79_tree = null;

        try {
            // ComputeEngine.g:129:2: ( F0 '(' ')' | F1 '(' fourexpr ')' | F2 '(' fourexpr ',' fourexpr ')' )
            int alt14 = 3;
            switch (input.LA(1)) {
                case F0: {
                    alt14 = 1;
                }
                break;
                case F1: {
                    alt14 = 2;
                }
                break;
                case F2: {
                    alt14 = 3;
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 14, 0, input);

                    throw nvae;
            }

            switch (alt14) {
                case 1:
                    // ComputeEngine.g:129:4: F0 '(' ')'
                {
                    root_0 = (CommonTree) adaptor.nil();

                    F067 = (Token) match(input, F0, FOLLOW_F0_in_func433);
                    F067_tree = (CommonTree) adaptor.create(F067);
                    root_0 = (CommonTree) adaptor.becomeRoot(F067_tree, root_0);

                    char_literal68 = (Token) match(input, 16, FOLLOW_16_in_func436);
                    char_literal69 = (Token) match(input, 17, FOLLOW_17_in_func439);

                }
                break;
                case 2:
                    // ComputeEngine.g:130:4: F1 '(' fourexpr ')'
                {
                    root_0 = (CommonTree) adaptor.nil();

                    F170 = (Token) match(input, F1, FOLLOW_F1_in_func445);
                    F170_tree = (CommonTree) adaptor.create(F170);
                    root_0 = (CommonTree) adaptor.becomeRoot(F170_tree, root_0);

                    char_literal71 = (Token) match(input, 16, FOLLOW_16_in_func448);
                    pushFollow(FOLLOW_fourexpr_in_func451);
                    fourexpr72 = fourexpr();

                    state._fsp--;

                    adaptor.addChild(root_0, fourexpr72.getTree());
                    char_literal73 = (Token) match(input, 17, FOLLOW_17_in_func453);

                }
                break;
                case 3:
                    // ComputeEngine.g:131:4: F2 '(' fourexpr ',' fourexpr ')'
                {
                    root_0 = (CommonTree) adaptor.nil();

                    F274 = (Token) match(input, F2, FOLLOW_F2_in_func459);
                    F274_tree = (CommonTree) adaptor.create(F274);
                    root_0 = (CommonTree) adaptor.becomeRoot(F274_tree, root_0);

                    char_literal75 = (Token) match(input, 16, FOLLOW_16_in_func462);
                    pushFollow(FOLLOW_fourexpr_in_func465);
                    fourexpr76 = fourexpr();

                    state._fsp--;

                    adaptor.addChild(root_0, fourexpr76.getTree());
                    char_literal77 = (Token) match(input, 34, FOLLOW_34_in_func467);
                    pushFollow(FOLLOW_fourexpr_in_func470);
                    fourexpr78 = fourexpr();

                    state._fsp--;

                    adaptor.addChild(root_0, fourexpr78.getTree());
                    char_literal79 = (Token) match(input, 17, FOLLOW_17_in_func472);

                }
                break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree) adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        } catch (RecognitionException e) {
            throw e;
        } finally {
        }
        return retval;
    }

    public static class prog_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class expr_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class fourexpr_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class multexpr_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class atom_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class ifcondition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class elseifcondition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class elsecondition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class condition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class andcondition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class notcondition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class itemcondition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class comparecondition_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

    public static class func_return extends ParserRuleReturnScope {
        CommonTree tree;

        @Override
        public Object getTree() {
            return tree;
        }
    }

}