// $ANTLR 3.1 ComputeEngineScanner.g 2020-05-14 10:30:08

package com.sagacloud.parser.simulator;

import org.antlr.runtime.*;
import org.antlr.runtime.tree.CommonTree;
import org.antlr.runtime.tree.TreeNodeStream;
import org.antlr.runtime.tree.TreeParser;

import java.util.HashMap;
import java.util.Map;

public class ComputeEngineScanner extends TreeParser {
    public static final String[] tokenNames = new String[]{
            "<invalid>", "<EOR>", "<DOWN>", "<UP>", "IFWRAPPER", "NEWLINE", "NUMBER", "ID", "F0", "F1", "F2", "WS", "'+'", "'-'", "'*'", "'/'", "'('", "')'", "'if'", "'{'", "'}'", "'elseif'", "'else'", "'||'", "'&&'", "'!'", "'['", "'<'", "'<='", "'>'", "'>='", "'=='", "'!='", "']'", "','"
    };
    public static final int T__29 = 29;
    public static final int T__28 = 28;
    public static final int T__27 = 27;
    public static final int T__26 = 26;
    public static final int T__25 = 25;
    public static final int T__24 = 24;
    public static final int T__23 = 23;
    public static final int T__22 = 22;
    public static final int T__21 = 21;
    public static final int T__20 = 20;
    public static final int NUMBER = 6;
    public static final int ID = 7;
    public static final int EOF = -1;
    public static final int T__30 = 30;
    public static final int T__19 = 19;
    public static final int T__31 = 31;
    public static final int T__32 = 32;
    public static final int T__16 = 16;
    public static final int T__33 = 33;
    public static final int WS = 11;
    public static final int T__15 = 15;
    public static final int T__34 = 34;
    public static final int T__18 = 18;
    public static final int NEWLINE = 5;
    public static final int T__17 = 17;
    public static final int T__12 = 12;
    public static final int T__14 = 14;
    public static final int T__13 = 13;
    public static final int F1 = 9;
    public static final int F0 = 8;
    public static final int F2 = 10;
    public static final int IFWRAPPER = 4;

    // delegates
    // delegators
    public static final BitSet FOLLOW_expr_in_prog60 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_fourexpr_in_expr76 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ifcondition_in_expr85 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_12_in_fourexpr98 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr102 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr106 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_13_in_fourexpr113 = new BitSet(new long[]{0x0000000000000004L});
    // $ANTLR end "prog"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr117 = new BitSet(new long[]{0x000000000000F7D0L});
    // $ANTLR end "expr"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr121 = new BitSet(new long[]{0x0000000000000008L});
    // $ANTLR end "fourexpr"
    public static final BitSet FOLLOW_14_in_fourexpr128 = new BitSet(new long[]{0x0000000000000004L});
    // $ANTLR end "ifcondition"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr132 = new BitSet(new long[]{0x000000000000F7D0L});
    // $ANTLR end "elseifcondition"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr136 = new BitSet(new long[]{0x0000000000000008L});
    // $ANTLR end "condition"
    public static final BitSet FOLLOW_15_in_fourexpr143 = new BitSet(new long[]{0x0000000000000004L});
    // $ANTLR end "comparecondition"

    // Delegated rules
    public static final BitSet FOLLOW_fourexpr_in_fourexpr147 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr151 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_ID_in_fourexpr157 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_F0_in_fourexpr164 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_F1_in_fourexpr170 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr174 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_F2_in_fourexpr181 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr185 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr189 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_NUMBER_in_fourexpr195 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IFWRAPPER_in_fourexpr201 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_ifcondition_in_fourexpr205 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_18_in_ifcondition219 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_ifcondition223 = new BitSet(new long[]{0x000000000004F7D0L});
    public static final BitSet FOLLOW_expr_in_ifcondition227 = new BitSet(new long[]{0x0000000000600000L});
    public static final BitSet FOLLOW_elseifcondition_in_ifcondition231 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_21_in_elseifcondition244 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_elseifcondition248 = new BitSet(new long[]{0x000000000004F7D0L});
    public static final BitSet FOLLOW_expr_in_elseifcondition252 = new BitSet(new long[]{0x0000000000600000L});
    public static final BitSet FOLLOW_elseifcondition_in_elseifcondition256 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_22_in_elseifcondition263 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_expr_in_elseifcondition267 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_24_in_condition280 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_condition284 = new BitSet(new long[]{0x00000001FB800000L});
    public static final BitSet FOLLOW_condition_in_condition288 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_23_in_condition295 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_condition299 = new BitSet(new long[]{0x00000001FB800000L});
    public static final BitSet FOLLOW_condition_in_condition303 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_25_in_condition310 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_condition314 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_comparecondition_in_condition323 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_27_in_comparecondition336 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition340 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition344 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_28_in_comparecondition351 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition355 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition359 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_29_in_comparecondition366 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition370 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition374 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_30_in_comparecondition381 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition385 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition389 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_31_in_comparecondition396 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition400 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition404 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_32_in_comparecondition411 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition415 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition419 = new BitSet(new long[]{0x0000000000000008L});
    public Map<String, Boolean> varDict = new HashMap<String, Boolean>();

    public ComputeEngineScanner(TreeNodeStream input) {
        this(input, new RecognizerSharedState());
    }

    public ComputeEngineScanner(TreeNodeStream input, RecognizerSharedState state) {
        super(input, state);

    }

    @Override
    public String[] getTokenNames() {
        return ComputeEngineScanner.tokenNames;
    }

    @Override
    public String getGrammarFileName() {
        return "ComputeEngineScanner.g";
    }

    private void AddVar(String var) {
        if (!this.varDict.containsKey(var)) {
            this.varDict.put(var, true);
        }
    }

    // $ANTLR start "prog"
    // ComputeEngineScanner.g:29:1: prog : (a= expr ) ;
    public final void prog() throws RecognitionException {
        try {
            // ComputeEngineScanner.g:30:2: ( (a= expr ) )
            // ComputeEngineScanner.g:30:4: (a= expr )
            {
                // ComputeEngineScanner.g:30:4: (a= expr )
                // ComputeEngineScanner.g:30:5: a= expr
                {
                    pushFollow(FOLLOW_expr_in_prog60);
                    expr();

                    state._fsp--;


                }


            }

        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return;
    }

    // $ANTLR start "expr"
    // ComputeEngineScanner.g:33:1: expr : ( (a= fourexpr ) | (a= ifcondition ) );
    public final void expr() throws RecognitionException {
        try {
            // ComputeEngineScanner.g:34:2: ( (a= fourexpr ) | (a= ifcondition ) )
            int alt1 = 2;
            int LA1_0 = input.LA(1);

            if ((LA1_0 == IFWRAPPER || (LA1_0 >= NUMBER && LA1_0 <= F2) || (LA1_0 >= 12 && LA1_0 <= 15))) {
                alt1 = 1;
            } else if ((LA1_0 == 18)) {
                alt1 = 2;
            } else {
                NoViableAltException nvae =
                        new NoViableAltException("", 1, 0, input);

                throw nvae;
            }
            switch (alt1) {
                case 1:
                    // ComputeEngineScanner.g:34:4: (a= fourexpr )
                {
                    // ComputeEngineScanner.g:34:4: (a= fourexpr )
                    // ComputeEngineScanner.g:34:5: a= fourexpr
                    {
                        pushFollow(FOLLOW_fourexpr_in_expr76);
                        fourexpr();

                        state._fsp--;


                    }


                }
                break;
                case 2:
                    // ComputeEngineScanner.g:35:4: (a= ifcondition )
                {
                    // ComputeEngineScanner.g:35:4: (a= ifcondition )
                    // ComputeEngineScanner.g:35:5: a= ifcondition
                    {
                        pushFollow(FOLLOW_ifcondition_in_expr85);
                        ifcondition();

                        state._fsp--;


                    }


                }
                break;
                default:
            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return;
    }

    // $ANTLR start "fourexpr"
    // ComputeEngineScanner.g:38:1: fourexpr : ( ^( '+' a= fourexpr b= fourexpr ) | ^( '-' a= fourexpr b= fourexpr ) | ^( '*' a= fourexpr b= fourexpr ) | ^( '/' a= fourexpr b= fourexpr ) | ID | F0 | ^( F1 a= fourexpr ) | ^( F2 a= fourexpr b= fourexpr ) | NUMBER | ^( IFWRAPPER a= ifcondition ) );
    public final void fourexpr() throws RecognitionException {
        CommonTree ID1 = null;

        try {
            // ComputeEngineScanner.g:39:2: ( ^( '+' a= fourexpr b= fourexpr ) | ^( '-' a= fourexpr b= fourexpr ) | ^( '*' a= fourexpr b= fourexpr ) | ^( '/' a= fourexpr b= fourexpr ) | ID | F0 | ^( F1 a= fourexpr ) | ^( F2 a= fourexpr b= fourexpr ) | NUMBER | ^( IFWRAPPER a= ifcondition ) )
            int alt2 = 10;
            switch (input.LA(1)) {
                case 12: {
                    alt2 = 1;
                }
                break;
                case 13: {
                    alt2 = 2;
                }
                break;
                case 14: {
                    alt2 = 3;
                }
                break;
                case 15: {
                    alt2 = 4;
                }
                break;
                case ID: {
                    alt2 = 5;
                }
                break;
                case F0: {
                    alt2 = 6;
                }
                break;
                case F1: {
                    alt2 = 7;
                }
                break;
                case F2: {
                    alt2 = 8;
                }
                break;
                case NUMBER: {
                    alt2 = 9;
                }
                break;
                case IFWRAPPER: {
                    alt2 = 10;
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 2, 0, input);

                    throw nvae;
            }

            switch (alt2) {
                case 1:
                    // ComputeEngineScanner.g:39:4: ^( '+' a= fourexpr b= fourexpr )
                {
                    match(input, 12, FOLLOW_12_in_fourexpr98);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr102);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr106);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 2:
                    // ComputeEngineScanner.g:40:4: ^( '-' a= fourexpr b= fourexpr )
                {
                    match(input, 13, FOLLOW_13_in_fourexpr113);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr117);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr121);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 3:
                    // ComputeEngineScanner.g:41:4: ^( '*' a= fourexpr b= fourexpr )
                {
                    match(input, 14, FOLLOW_14_in_fourexpr128);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr132);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr136);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 4:
                    // ComputeEngineScanner.g:42:4: ^( '/' a= fourexpr b= fourexpr )
                {
                    match(input, 15, FOLLOW_15_in_fourexpr143);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr147);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr151);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 5:
                    // ComputeEngineScanner.g:43:4: ID
                {
                    ID1 = (CommonTree) match(input, ID, FOLLOW_ID_in_fourexpr157);
                    this.AddVar((ID1 != null ? ID1.getText() : null));

                }
                break;
                case 6:
                    // ComputeEngineScanner.g:44:4: F0
                {
                    match(input, F0, FOLLOW_F0_in_fourexpr164);

                }
                break;
                case 7:
                    // ComputeEngineScanner.g:45:4: ^( F1 a= fourexpr )
                {
                    match(input, F1, FOLLOW_F1_in_fourexpr170);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr174);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 8:
                    // ComputeEngineScanner.g:46:4: ^( F2 a= fourexpr b= fourexpr )
                {
                    match(input, F2, FOLLOW_F2_in_fourexpr181);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr185);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr189);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 9:
                    // ComputeEngineScanner.g:47:4: NUMBER
                {
                    match(input, NUMBER, FOLLOW_NUMBER_in_fourexpr195);

                }
                break;
                case 10:
                    // ComputeEngineScanner.g:48:4: ^( IFWRAPPER a= ifcondition )
                {
                    match(input, IFWRAPPER, FOLLOW_IFWRAPPER_in_fourexpr201);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_ifcondition_in_fourexpr205);
                    ifcondition();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                default:
            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return;
    }

    // $ANTLR start "ifcondition"
    // ComputeEngineScanner.g:51:1: ifcondition : ^( 'if' con= condition a= expr b= elseifcondition ) ;
    public final void ifcondition() throws RecognitionException {
        try {
            // ComputeEngineScanner.g:52:2: ( ^( 'if' con= condition a= expr b= elseifcondition ) )
            // ComputeEngineScanner.g:52:4: ^( 'if' con= condition a= expr b= elseifcondition )
            {
                match(input, 18, FOLLOW_18_in_ifcondition219);

                match(input, Token.DOWN, null);
                pushFollow(FOLLOW_condition_in_ifcondition223);
                condition();

                state._fsp--;

                pushFollow(FOLLOW_expr_in_ifcondition227);
                expr();

                state._fsp--;

                pushFollow(FOLLOW_elseifcondition_in_ifcondition231);
                elseifcondition();

                state._fsp--;


                match(input, Token.UP, null);

            }

        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return;
    }

    // $ANTLR start "elseifcondition"
    // ComputeEngineScanner.g:55:1: elseifcondition : ( ^( 'elseif' con= condition a= expr b= elseifcondition ) | ^( 'else' a= expr ) );
    public final void elseifcondition() throws RecognitionException {
        try {
            // ComputeEngineScanner.g:56:2: ( ^( 'elseif' con= condition a= expr b= elseifcondition ) | ^( 'else' a= expr ) )
            int alt3 = 2;
            int LA3_0 = input.LA(1);

            if ((LA3_0 == 21)) {
                alt3 = 1;
            } else if ((LA3_0 == 22)) {
                alt3 = 2;
            } else {
                NoViableAltException nvae =
                        new NoViableAltException("", 3, 0, input);

                throw nvae;
            }
            switch (alt3) {
                case 1:
                    // ComputeEngineScanner.g:56:4: ^( 'elseif' con= condition a= expr b= elseifcondition )
                {
                    match(input, 21, FOLLOW_21_in_elseifcondition244);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_elseifcondition248);
                    condition();

                    state._fsp--;

                    pushFollow(FOLLOW_expr_in_elseifcondition252);
                    expr();

                    state._fsp--;

                    pushFollow(FOLLOW_elseifcondition_in_elseifcondition256);
                    elseifcondition();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 2:
                    // ComputeEngineScanner.g:57:4: ^( 'else' a= expr )
                {
                    match(input, 22, FOLLOW_22_in_elseifcondition263);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_expr_in_elseifcondition267);
                    expr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                default:
            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return;
    }

    // $ANTLR start "condition"
    // ComputeEngineScanner.g:60:1: condition : ( ^( '&&' a= condition b= condition ) | ^( '||' a= condition b= condition ) | ^( '!' a= condition ) | (a= comparecondition ) );
    public final void condition() throws RecognitionException {
        try {
            // ComputeEngineScanner.g:61:2: ( ^( '&&' a= condition b= condition ) | ^( '||' a= condition b= condition ) | ^( '!' a= condition ) | (a= comparecondition ) )
            int alt4 = 4;
            switch (input.LA(1)) {
                case 24: {
                    alt4 = 1;
                }
                break;
                case 23: {
                    alt4 = 2;
                }
                break;
                case 25: {
                    alt4 = 3;
                }
                break;
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32: {
                    alt4 = 4;
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 4, 0, input);

                    throw nvae;
            }

            switch (alt4) {
                case 1:
                    // ComputeEngineScanner.g:61:4: ^( '&&' a= condition b= condition )
                {
                    match(input, 24, FOLLOW_24_in_condition280);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_condition284);
                    condition();

                    state._fsp--;

                    pushFollow(FOLLOW_condition_in_condition288);
                    condition();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 2:
                    // ComputeEngineScanner.g:62:4: ^( '||' a= condition b= condition )
                {
                    match(input, 23, FOLLOW_23_in_condition295);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_condition299);
                    condition();

                    state._fsp--;

                    pushFollow(FOLLOW_condition_in_condition303);
                    condition();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 3:
                    // ComputeEngineScanner.g:63:4: ^( '!' a= condition )
                {
                    match(input, 25, FOLLOW_25_in_condition310);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_condition314);
                    condition();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 4:
                    // ComputeEngineScanner.g:64:4: (a= comparecondition )
                {
                    // ComputeEngineScanner.g:64:4: (a= comparecondition )
                    // ComputeEngineScanner.g:64:5: a= comparecondition
                    {
                        pushFollow(FOLLOW_comparecondition_in_condition323);
                        comparecondition();

                        state._fsp--;


                    }


                }
                break;
                default:
            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return;
    }

    // $ANTLR start "comparecondition"
    // ComputeEngineScanner.g:67:1: comparecondition : ( ^( '<' a= fourexpr b= fourexpr ) | ^( '<=' a= fourexpr b= fourexpr ) | ^( '>' a= fourexpr b= fourexpr ) | ^( '>=' a= fourexpr b= fourexpr ) | ^( '==' a= fourexpr b= fourexpr ) | ^( '!=' a= fourexpr b= fourexpr ) );
    public final void comparecondition() throws RecognitionException {
        try {
            // ComputeEngineScanner.g:68:2: ( ^( '<' a= fourexpr b= fourexpr ) | ^( '<=' a= fourexpr b= fourexpr ) | ^( '>' a= fourexpr b= fourexpr ) | ^( '>=' a= fourexpr b= fourexpr ) | ^( '==' a= fourexpr b= fourexpr ) | ^( '!=' a= fourexpr b= fourexpr ) )
            int alt5 = 6;
            switch (input.LA(1)) {
                case 27: {
                    alt5 = 1;
                }
                break;
                case 28: {
                    alt5 = 2;
                }
                break;
                case 29: {
                    alt5 = 3;
                }
                break;
                case 30: {
                    alt5 = 4;
                }
                break;
                case 31: {
                    alt5 = 5;
                }
                break;
                case 32: {
                    alt5 = 6;
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 5, 0, input);

                    throw nvae;
            }

            switch (alt5) {
                case 1:
                    // ComputeEngineScanner.g:68:4: ^( '<' a= fourexpr b= fourexpr )
                {
                    match(input, 27, FOLLOW_27_in_comparecondition336);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition340);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition344);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 2:
                    // ComputeEngineScanner.g:69:4: ^( '<=' a= fourexpr b= fourexpr )
                {
                    match(input, 28, FOLLOW_28_in_comparecondition351);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition355);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition359);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 3:
                    // ComputeEngineScanner.g:70:4: ^( '>' a= fourexpr b= fourexpr )
                {
                    match(input, 29, FOLLOW_29_in_comparecondition366);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition370);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition374);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 4:
                    // ComputeEngineScanner.g:71:4: ^( '>=' a= fourexpr b= fourexpr )
                {
                    match(input, 30, FOLLOW_30_in_comparecondition381);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition385);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition389);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 5:
                    // ComputeEngineScanner.g:72:4: ^( '==' a= fourexpr b= fourexpr )
                {
                    match(input, 31, FOLLOW_31_in_comparecondition396);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition400);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition404);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;
                case 6:
                    // ComputeEngineScanner.g:73:4: ^( '!=' a= fourexpr b= fourexpr )
                {
                    match(input, 32, FOLLOW_32_in_comparecondition411);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition415);
                    fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition419);
                    fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);

                }
                break;

            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return;
    }

}