package com.sagacloud.util.compute_engine.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.zillion.util.json.FastJsonUtil;

import javax.xml.bind.annotation.XmlRootElement;
@Slf4j
@XmlRootElement(name = "Entity_ci_status")
public class Entity_ci_status {
    String object_sign;
    String instance_name;
    String status_request;
    String status_current;
    Long compute_round;
    String operate_time;
    String operate_owner;

    public Entity_ci_status() {

    }

    public Entity_ci_status(String str) {
        try {
            JSONObject json = (JSONObject) JSON.parse(str);
            FastJsonUtil.Set_JavaObject(json, this);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }

    public String getObject_sign() {
        return object_sign;
    }

    public void setObject_sign(String object_sign) {
        this.object_sign = object_sign;
    }

    public String getInstance_name() {
        return instance_name;
    }

    public void setInstance_name(String instance_name) {
        this.instance_name = instance_name;
    }

    public String getStatus_request() {
        return status_request;
    }

    public void setStatus_request(String status_request) {
        this.status_request = status_request;
    }

    public String getStatus_current() {
        return status_current;
    }

    public void setStatus_current(String status_current) {
        this.status_current = status_current;
    }

    public Long getCompute_round() {
        return compute_round;
    }

    public void setCompute_round(Long compute_round) {
        this.compute_round = compute_round;
    }

    public String getOperate_time() {
        return operate_time;
    }

    public void setOperate_time(String operate_time) {
        this.operate_time = operate_time;
    }

    public String getOperate_owner() {
        return operate_owner;
    }

    public void setOperate_owner(String operate_owner) {
        this.operate_owner = operate_owner;
    }
}
