package com.sagacloud.util.compute_engine.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.zillion.util.json.FastJsonUtil;

import javax.xml.bind.annotation.XmlRootElement;
@Slf4j
@XmlRootElement(name = "Entity_tenant_energy_meter")
public class Entity_tenant_energy_meter {
    String building;
    String sign;
    String energy_type;
    String meter_sign;
    Double share_ratio;
    Double transformer_ratio;

    public Entity_tenant_energy_meter() {

    }

    public Entity_tenant_energy_meter(String str) {
        try {
            JSONObject json = (JSONObject) JSON.parse(str);
            FastJsonUtil.Set_JavaObject(json, this);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getEnergy_type() {
        return energy_type;
    }

    public void setEnergy_type(String energy_type) {
        this.energy_type = energy_type;
    }

    public String getMeter_sign() {
        return meter_sign;
    }

    public void setMeter_sign(String meter_sign) {
        this.meter_sign = meter_sign;
    }

    public Double getShare_ratio() {
        return share_ratio;
    }

    public void setShare_ratio(Double share_ratio) {
        this.share_ratio = share_ratio;
    }

    public Double getTransformer_ratio() {
        return transformer_ratio;
    }

    public void setTransformer_ratio(Double transformer_ratio) {
        this.transformer_ratio = transformer_ratio;
    }
}
