package com.sagacloud.util.compute_engine.fjd;

import com.sagacloud.util.compute_engine.core.CoreInput;
import com.sagacloud.util.compute_engine.core.CoreOutput;
import com.sagacloud.util.compute_engine.core.IDao_log;
import com.sagacloud.util.compute_engine.util.TimeSpan;

import java.util.Date;
import java.util.List;
import java.util.Map;

public class ComputeJob {
    public String object_sign;
    public String instance_name;
    public List<CoreInput> inputList;
    public List<CoreOutput> outputList;
    public Date compute_time_from;
    public Date compute_time_to;
    public Map<String, List<TimeSpan>> inputdetailListMap;
    public Map<String, List<TimeSpan>> outputdetailListMap;
    public IDao_log dao_log;
    public Map<String, List<TimeSpan>> outputTimeSpanMap;
    public int pop_count = 0;
    public int finish_count = 0;
    public boolean finish_error = false;
    long compute_round;
}
