package com.sagacloud.util.compute_engine.util;

import com.zillion.util.zk.ZKWrapper;
import org.apache.zookeeper.CreateMode;
import org.apache.zookeeper.data.Stat;

import java.nio.charset.StandardCharsets;

public class ZKSyncUtil {

    public static void Sync(ZKWrapper ZK, String path, String data) throws Exception {
        Stat stat = ZK.exists(path, false);
        if (stat == null) {
            ZK.create(path, data.getBytes(StandardCharsets.UTF_8), CreateMode.PERSISTENT);
        } else {
            ZK.setData(path, data.getBytes(StandardCharsets.UTF_8), -1);
        }
    }
}
