package test;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sagacloud.repository.HBaseSaveManagerRepository;
import com.sagacloud.util.compute_engine.util.ConstantCE;
import com.sagacloud.util.compute_engine.util.QueryUtil;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class Clear_ce_EMS {

    public static void main(String[] args) throws Exception {
        if (HBaseSaveManagerRepository.randomZillionAgent() == null) {
            HBaseSaveManagerRepository.init(1);
        }

        String database_name = ConstantCE.database_name;

        JSONObject Criteria = new JSONObject();
        JSONArray resultContent = QueryUtil.select(database_name, "ci_instance", Criteria);
        for (int i = 0; i < resultContent.size(); i++) {
            JSONObject item = (JSONObject) resultContent.get(i);
            String object_sign = (String) item.get("object_sign");
            String instance_name = (String) item.get("instance_name");
            if (!"EMS".equals(instance_name)) {
                continue;
            }

            {
                JSONObject CriteriaInner = new JSONObject();
                CriteriaInner.put("object_sign", object_sign);
                CriteriaInner.put("instance_name", instance_name);
                QueryUtil.delete(database_name, "ce_computeinputdetail", CriteriaInner);
                QueryUtil.delete(database_name, "ce_computeinputlog", CriteriaInner);
                QueryUtil.delete(database_name, "ce_computelog", CriteriaInner);
                QueryUtil.delete(database_name, "ce_computeoutputdetail", CriteriaInner);
                QueryUtil.delete(database_name, "ce_curround", CriteriaInner);
                QueryUtil.delete(database_name, "ce_preroundindex", CriteriaInner);
            }
            {
                JSONObject CriteriaInner = new JSONObject();
                CriteriaInner.put("building", object_sign);
                QueryUtil.delete(database_name, "data_energydata_201711", CriteriaInner);
                QueryUtil.delete(database_name, "data_energydata_201712", CriteriaInner);
            }

            log.warn(object_sign + "\t" + instance_name);
        }


        System.out.println();
    }
}
