package test;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sagacloud.repository.HBaseSaveManagerRepository;
import com.sagacloud.util.compute_engine.util.QueryUtil;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

@Slf4j
public class delete_instant {
    static int thread_count = 10;
    static String database_name = "db_time_data";
    static String[] months = {"201711", "201712", "201801", "201802"};
    static List<String> itemList = new ArrayList<String>();
    static Random rand = new Random();

    public static void main(String[] args) throws Exception {
        if (HBaseSaveManagerRepository.randomZillionAgent() == null) {
            HBaseSaveManagerRepository.init(1);
        }

        JSONObject Criteria = new JSONObject();
        JSONArray resultContent = QueryUtil.select(database_name, "fjd_0_buildingcomputetime", Criteria);
        for (int i = 0; i < resultContent.size(); i++) {
            JSONObject item = (JSONObject) resultContent.get(i);
            String building = (String) item.get("building");

            itemList.add(building);
        }

        List<delete_instant_Thread> threadList = new ArrayList<delete_instant_Thread>();
        for (int index = 0; index < thread_count; index++) {
            delete_instant_Thread thread = new delete_instant_Thread(database_name, months);
            thread.start();
            threadList.add(thread);
        }

        while (true) {
            Thread.sleep(1L);

            boolean all_finish = true;
            for (delete_instant_Thread thread : threadList) {
                if (thread.isAlive()) {
                    all_finish = false;
                    break;
                }
            }
            if (all_finish) {
                break;
            }
        }


        System.out.println();
    }

    public static synchronized String Pop() {
        String item = null;
        if (itemList.size() > 0) {
            item = itemList.remove(rand.nextInt(itemList.size()));
            log.warn(item + "\t" + itemList.size());
        }
        return item;
    }
}
